import { Component} from '@angular/core';


export interface Tile {
  color: string;
  border: string
  cols: number;
  rows: number;
  text: string;
  textColor: string;
  title: string;
  route: string;
}

@Component({
  selector: 'app-home',
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.css']
})


/**
 * Home page: Toolbar and dashboard
 */
export class HomeComponent{

  // Dashboard infos
  tiles: Tile[] = [
    {text: 'Saisie de donnée', cols: 4, rows: 1, textColor: "white",  color: 'rgb(0,94,184)', border: "3px solid rgb(0,94,184)", title: "Saisir un nouvel article", route: "/data-entry"},
    {text: 'Graphiques', cols: 2, rows: 1, textColor: "white", color: 'rgb(147,201,14)', border: "3px solid rgb(147,201,14)",  title: "Modéliser les données graphiquement", route: "/graphics"},
    {text: "Recherche d'article", cols: 2, rows: 1, textColor: "white", color: 'rgb(147,201,14)', border: "3px solid rgb(147,201,14)", title: "Rechercher un article dans la base de données",route: "/articles"},
  ];


  /**
   * Set background color on mouse hover. hover = color and color = hover. Is called when mouse enter to change color and mouse leave to reset color
   *
   * @param tile Tile concerned by hover
   */
  public setColorHover(tile: Tile){
    let originalColor = tile.color;
    tile.color = tile.textColor;
    tile.textColor = originalColor;
  }


}
